<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Colorize your life!</title>
  <script src="{{ url_for('static', filename='js/jquery-3.5.0.js') }}"></script>
  <link href="{{ url_for('static', filename='css/bootstrap.css') }}" rel="stylesheet" />
  <script src="{{ url_for('static', filename='js/bootstrap.js') }}"></script>
  <script src="{{ url_for('static', filename='js/bootstrap.bundle.js') }}"></script>
  <script>
    $(function () {
      $('[data-toggle="tooltip"]').tooltip()
    })
  </script>
  <link href="https://fonts.googleapis.com/css?family=Poppins:400,600&display=swap" rel="stylesheet">
  <link href="{{ url_for('static', filename='css/style.css') }}" rel="stylesheet" />
  <script src="{{ url_for('static', filename='js/particles.min.js') }}"></script>
  <script>
    /* particlesJS.load(@dom-id, @path-json, @callback (optional)); */
    particlesJS.load('particles-js', "{{ url_for('static', filename='js/particlesjs-config.json') }}", function () {

    });
  </script>
  <style>
    .loader {
      border: 16px solid #f3f3f3;
      border-radius: 50%;
      border-top: 16px solid #3498db;
      width: 120px;
      height: 120px;
      -webkit-animation: spin 2s linear infinite; /* Safari */
      animation: spin 2s linear infinite;
    }
    
    /* Safari */
    @-webkit-keyframes spin {
      0% { -webkit-transform: rotate(0deg); }
      100% { -webkit-transform: rotate(360deg); }
    }
    
    @keyframes spin {
      0% { transform: rotate(0deg); }
      100% { transform: rotate(360deg); }
    }
    </style>
  <style>
    {
      % if user is not none %
    }

    #particles-js {
      position: absolute;
      width: 100%;
      height: 100%;
      background: #f87474;
      z-index: -1;
    }

      {
      % else %
    }

    #particles-js {
      position: absolute;
      width: 100%;
      height: 100%;
      background: #838cff;
      z-index: -1;
    }

      {
      % endif %
    }

  /* common */
  .ribbon {
    width: 150px;
    height: 150px;
    overflow: hidden;
    position: absolute;
  }
  .ribbon::before,
  .ribbon::after {
    position: absolute;
    z-index: -1;
    content: '';
    display: block;
    border: 5px solid #000000;
  }
  .ribbon span {
    position: absolute;
    display: block;
    width: 225px;
    padding: 15px 0;
    background-color: #282188;
    box-shadow: 0 5px 10px rgba(0,0,0,.1);
    color: #fff;
    font: 700 .9em'Lato', sans-serif;
    text-shadow: 0 1px 1px rgba(0,0,0,.2);
    text-transform: uppercase;
    text-align: center;
  }

  /* top right*/
  .ribbon-top-right {
    right: -10px;
  }
  .ribbon-top-right::before,
  .ribbon-top-right::after {
    border-top-color: transparent;
    border-right-color: transparent;
  }
  .ribbon-top-right::before {
    top: 0;
    left: 0;
  }
  .ribbon-top-right::after {
    bottom: 0;
    right: 0;
  }
  .ribbon-top-right span {
    left: -25px;
    top: 30px;
    transform: rotate(45deg);
  }



  </style>

{{ toastr.include_toastr_css() }}
{{ toastr.message() }}
</head>

<body class="bg-light">
  {{ toastr.include_toastr_js() }}
  {% if staging == True %}
  <div class="ribbon ribbon-top-right"><span>Staging Cluster</span></div>
  {% endif %}
  <div id="particles-js"></div>
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="pt-5 text-center">
          <img class="d-block mx-auto mb-4" src="{{ url_for('static', filename='logo.png') }}" alt="" height="140">
          <h2>Colorize your life! v{{ version }}</h2>
          <p class="lead">Please, upload a black/white picture</p>
          <small class="text-muted">{{ url }}</small>
        </div>
      </div>
    </div>
    <div class="row" id="drop-row">
      <div class="col-12">
        <div id="drop-area">
          <form class="my-form">
            <img src="{{ captcha_src }}" class="image-fluid m-1"/>
            <input type="hidden" id="captchaUUID" value="{{ captcha_uuid }}"/>
            <input type="text" class="form-control" placeholder="Captcha solver" id="captchaValue"/>
            <p>Drag and drop a picture or just press the button</p>
            <input type="file" id="fileElem" multiple="false" accept="image/jpeg, image/png"
              onchange="handleFiles(this.files)">
            <input type="hidden" name="ajax_csrf_token" value="{{ csrf_token() }}" />

            <label class="btn btn-danger" for="fileElem">Select a picture</label>
            <br>
          </form>
          <!--progress id="progress-bar" max=100 value=0></progress-->
          <div id="gallery" class="text-center" />
        </div>
      </div>
    </div>
  </div>

  <div class="row" id="results-row" style="display:none" >
    <div class="col-12 d-flex justify-content-center">
      <img src="" id="black_picture" class="mr-2 mb-2 rounded" style="width: 256px;height: 256px;" />
      <div class="loader ml-4 mb-4"></div>

      <img src="" id="color_picture" class="ml-2 mb-2 rounded" style="display:none; width: 256px;height: 256px;" />
    </div>
  </div>

  <div class="row">
    <div class="col-12 d-flex flex-column align-items-center">
      {% if user is not none %}
      <h4>Hello {{user.username}}!</h4>
      <a href="{{ url_for('admin.logout') }}" class="btn btn-primary" data-toggle="tooltip" data-placement="bottom"
        title="Press here and logout">Logout</a>
      {% else %}
      <button class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="Are you an Admin user?"
        onclick="$('.modal').modal('show');$('#focus-input').focus()">Login</button>

      {% endif %}


    </div>
  </div>

  <div class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Admin Login</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form action="{{ url_for('admin.login') }}" id="login-form" method="POST">
          <div class="modal-body">
            <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
            <input type="text" placeholder="username" name="username" class="form-control" id="focus-input" />
            <input type="password" placeholder="password" name="password" class="mt-2 form-control" />
          </div>
          <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Login</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>
        </form>
      </div>
    </div>
  </div>

  <footer class="my-5 pt-5 text-dark text-center text-small">
    <p class="mb-1">&copy; {{ now.year }} - Colorize</p>
  </footer>

  </div>

  <script>
    var intervalId = null;

    function tryGettingNewPicture(imageId){
      $.ajax({
            type: "GET",
            dataType: "json",
            url: "/pictureIsReady/" + imageId,
        })
        .done(function(data, textStatus, jqXHR) {
            if(data.is_ready){
              console.log("YA ESTA LA FOTOOO");
              $('.loader').hide();
              $('#color_picture').attr('src', data.filename_color);
              $('#color_picture').fadeIn();
              clearInterval(intervalId)
            }else{
              if(data.error){
                console.log("Un problema ha pasado: " + data.error)
              }else{
                console.log("Picture is not ready yet")
              }
            }
        });
    }

    function waitForPredictedPicture(json) {
      json = JSON.parse(json);
      console.log(json);
      if(json.success){
        $('#drop-row').hide();
        imageId = json.service_result.obj.id;
        $('#black_picture').attr('src', json.service_result.obj.filename_black);
        $('#black_picture')
        $('.loader')
        $('#results-row').fadeIn();
        intervalId = setInterval(tryGettingNewPicture, 1000, imageId);
      }else{
        toastr.error(json.error, "error");
        $('#gallery').html("");
      }
    }
  </script>


  <script src="{{ url_for('static', filename='js/script.js') }}"></script>



</body>

</html>